Name:       perl-PSGI 
Version:    1.03
Release:    4%{?dist}
# PSGI.pod
License:    CC-BY-SA
Group:      Development/Libraries
Summary:    Perl Web Server Gateway Interface Specification 
Source:     http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/PSGI-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/PSGI
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42

%{?perl_default_filter}

%description
This document specifies a standard interface between web servers and Perl web
applications or frameworks, to promote web application portability and reduce
the duplicated efforts by web application framework developers.

%prep
%setup -q -n PSGI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.03-3
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.03-2
- Mass rebuild with perl-5.12.0

* Sat Feb 06 2010 Chris Weyl <cweyl@alumni.drew.edu> 1.03-1
- submission

* Sat Feb 06 2010 Chris Weyl <cweyl@alumni.drew.edu> 1.03-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

